Bug 324016 - plasma crashes when a vpn connection is activated
Summary: plasma crashes when a vpn connection is activated
Status: RESOLVED FIXED
Alias: None
Product: plasma-nm
Classification: Unclassified
Component: applet (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Jan Grulich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-25 15:29 UTC by Craig Magina
Modified: 2013-10-10 18:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Magina 2013-08-25 15:29:34 UTC
The crash only occurs when it is successful, watching syslog shows the vpn connection is successful. No crash occurs when it fails to connect to the vpn. The crash does not occur on the same system using the old plasma network manager.

Reproducible: Always

Steps to Reproduce:
1. Connect to a VPN via the widget
Actual Results:  
Plasma crashes and does not restart like happens on normal plasma crashes.

Expected Results:  
Plasma doesn't crash and the network icon changes to show its successful vpn connection.

The system is running Kubuntu 13.10 amd64 and plasma-nm-0.0~git20130816-0ubuntu2. There is a similar, possibly duplicate bug, https://bugs.kde.org/show_bug.cgi?id=321392.
Comment 1 Jan Grulich 2013-08-25 18:00:54 UTC
Git commit c6ca6338e26b42af07c00b11877e3300af394bd1 by Jan Grulich.
Committed on 25/08/2013 at 18:00.
Pushed by grulich into branch 'master'.

Prevention before possible crash when we are trying to get incorrect setting from VPN connection

M  +1    -1    declarative-plugins/applet/connectionicon.cpp

http://commits.kde.org/plasma-nm/c6ca6338e26b42af07c00b11877e3300af394bd1
Comment 2 Jan Grulich 2013-08-25 18:04:04 UTC
Could you please test it with the change above and when it still crashes, can you please provide some backtrace?
Comment 3 Jan Grulich 2013-10-10 18:46:37 UTC
Should be fixed. Reopen please this bug in the case you have still problems. Thanks